diff --git a/src/pluginhost.h b/src/pluginhost.h
index 41f68d7..535b6a9 100644
--- a/src/pluginhost.h
+++ b/src/pluginhost.h
@@ -17,6 +17,7 @@
 
 class QWidget;
 class QPluginLoader;
+class QAction;
 
 class PluginManager;
 class IqNamespaceFilter;
@@ -54,7 +55,13 @@ public:
 
 	// for EventFilter
 	bool processEvent(int account, const QDomElement& e);
-	bool processMessage(int account, const QString& jidFrom, const QString& body, const QString& subject);
+	bool processMessage(int account, const QString& jidFrom, 
+	                    QString& body, QString& subject);
+	bool processMessage(int account, const QString& jidFrom, 
+	                    QDomElement& body, QString& subject);
+
+	bool processOutgoingMessage(int account, const QString& jidTo, 
+	                            QString& body, QString& subject);
 
 	// StanzaSendingHost
 	void sendStanza(int account, const QDomElement& xml);
@@ -74,6 +81,14 @@ public:
 	void setGlobalOption(const QString& option, const QVariant& value);
 	QVariant getGlobalOption(const QString& option);
 
+
+	void logout(int account);
+	void contactOnline(int account, const QString& jid);
+	void contactOffline(int account, const QString& jid);
+
+    QAction* getChatDlgMenuEntries(QWidget* parent, int account,
+                                   const QString& otherJid);
+
 private:
 	PluginManager* manager_;
 	QObject* plugin_;
